Summary: 	Transparent and scalable SSL/TLS interception
Name: 		sslsplit
Version: 	0.4.8
Release: 	%mkrel 6
License: 	BSD
Url: 		http://www.roe.ch/SSLsplit
Source: 	https://github.com/droe/%{name}/archive/%{version}.tar.gz
Group: 		Security
Buildrequires: 	libevent-devel
Buildrequires:	openssl-devel
Buildrequires:	check-devel
Recommends: 	iptables
Recommends:	iproute

%description
SSLsplit is a tool for man-in-the-middle attacks against SSL/TLS encrypted
network connections. Connections are transparently intercepted through a
network address translation engine and redirected to SSLsplit. SSLsplit
terminates SSL/TLS and initiates a new SSL/TLS connection to the original
destination address, while logging all data transmitted. SSLsplit is
intended to be useful for network forensics and penetration testing.

It uses Linux netfilter REDIRECT and TPROXY

%prep
%setup -q 
# disable the ecc test - ECC is not allowed in Fedora and stripped from openssl
sed -i "s/rsa dsa ec/rsa dsa /" extra/pki/GNUmakefile

%build
# work around some odd build system option passing
export CFLAGS="%{optflags}"
export DEBUG_CFLAGS="%{optflags}"
make %{?_smp_mflags} 

%check
# Requires a network connection
# make test

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1/
cp -a %{name} %{buildroot}%{_bindir}
cp -a %{name}.1  %{buildroot}%{_mandir}/man1/

%files 
%attr(0755,root,root) %{_bindir}/%{name}
%doc README TODO
%{_mandir}/*/*



%changelog
* Mon Feb 13 2017 mrambo3501 <mrambo3501> 0.4.8-6.mga6
+ Revision: 1086057
- rebuild for new libevent

* Thu Mar 03 2016 umeabot <umeabot> 0.4.8-5.mga6
+ Revision: 984148
- Rebuild for openssl

* Thu Feb 04 2016 umeabot <umeabot> 0.4.8-4.mga6
+ Revision: 935161
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.8-3.mga5
+ Revision: 741875
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.8-2.mga5
+ Revision: 689329
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu May 08 2014 dlucio <dlucio> 0.4.8-1.mga5
+ Revision: 621222
- imported package sslsplit


* Wed Jan 29 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.4.8-1
- Rebase to upstream 0.4.8

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.4.5-1
- Rebase to upstream 0.4.5
- Switched to usage of Github download links

* Mon Jul 30 2012 Paul Wouters <pwouters@redhat.com> - 0.4.4-4
- Disable make test, as it requires a network connection

* Sat Jul 28 2012 Paul Wouters <pwouters@redhat.com> - 0.4.4-3
- Fix permission of binary to 755

* Fri Jul 27 2012 Paul Wouters <pwouters@redhat.com> - 0.4.4-2
- Fix missing buildrequire for check-devel
- Run make check
- No need to compress man pages
- No mixing of macro styles

* Mon May 28 2012 Paul Wouters <pwouters@redhat.com> - 0.4.4-1
- Initial package
